import request from '@/utils/request'

// 施工工序表列表
export function buildprocesssettingsLists(params: any) {
    return request.get({ url: '/build.build_process_settings/lists', params })
}

// 添加施工工序
export function buildprocesssettingsAdd(params: any) {
    return request.post({ url: '/build.build_process_settings/add', params })
}

// 编辑施工工序
export function buildprocesssettingsEdit(params: any) {
    return request.post({ url: '/build.build_process_settings/edit', params })
}

// 删除施工工序
export function buildprocesssettingsDelete(params: any) {
    return request.post({ url: '/build.build_process_settings/delete', params })
}


// 施工工序详情
export function buildprocesssettingsDetail(params: any) {
    return request.get({ url: '/build.build_process_settings/detail', params })
}

//获取某个分部工程下的工序列表
export function listToDivision(params: any) {
    return request.get({ url: '/build.build_process_settings/listToDivision', params })
}